#ifndef POS_PRINTER_H
#define POS_PRINTER_H

#include <memory>

#include <libusb-1.0/libusb.h>

class PosPrinter
{
  public:
    static void initialize(std::pair<int, int> vendorModelIds);
    static PosPrinter* getInstance();
  private:
    PosPrinter();
    PosPrinter(std::pair<int, int> vendorModelId);
    ~PosPrinter();
    static PosPrinter* instance_;
    libusb_context* contextPtr_{};
    libusb_device_handle* devicePtr_{};
};

#endif